<?php include("cabecera_admin.php")?>
<?php include("conexion.php")?>

<?php
if($_POST){
    print_r($_POST);
    $fecha= new DateTime();

    $nombre= $_POST['nombre'];
    $imagen=$fecha->getTimestamp()."_".$_FILES['archivo']['name'];

    $imagen_temporal=$_FILES['archivo']['tmp_name'];
    move_uploaded_file($imagen_temporal,"imagenes/".$imagen);


    $objConexion= new conexion ();
    $sql="INSERT INTO `productos` (`id`, `nombre`, `imagen`) VALUES (NULL, '$nombre', '$imagen');";
    $objConexion->ejecutar($sql);
    header("location:insertar_productos.php");
    }

if($_GET){

    $id=$_GET['borrar'];    
    $objConexion= new conexion ();
    
    $imagen=$objConexion->consultar("SELECT imagen FROM `productos` WHERE id=".$id);
    unlink("imagenes/".$imagen[0]['imagen']);
    
    $sql="DELETE FROM productos WHERE `productos`.`id` = ".$id;
    $objConexion->ejecutar($sql);
    header("location:insertar_productos.php");
    }    

$objConexion = new conexion();
$productos = $objConexion->consultar("SELECT * FROM `productos` ORDER BY id DESC");


?>


<br/>
<br/>

<div class="container">
    <div class="row">
        <div class="col-md-6">

        <div class="card">
                <div class="card-header">datos del producto</div>
                <div class="card-body">

                <form action="insertar_productos.php" method="post" enctype="multipart/form-data">

                Nombre del producto: <input class="form-control" type="text" name="nombre" id="">
                <br/>
                Imagen del producto: <input class="form-control" type="file" name="archivo" id="">
                <br/>
                

                <input class="btn btn-success" type="submit" value="Enviar producto">

                </form>

                </div>
            </div>

        </div>
        <div class="col-md-6">

        <table class="table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Nombre</th>
                    <th>Imagen</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach($productos as $producto){?>
               
                  <tr>
                    <td><?php echo $producto['id']; ?></td>
                    <td><?php echo $producto['nombre']; ?></td>
                    <td><img width="100" src="imagenes/<?php echo $producto['imagen']; ?>"></td>
                    <td> <a class="btn btn-primary" role="button" href="?borrar=<?php echo $producto['id']; ?>">Eliminar</a>
                    </td>


                </tr>
                <?php } ?>
          
            </tbody>
        </table>

        </div>
        
    </div>
</div>


<?php include("pie.php")?>